import request from './request.js';
// 查询地址下拉树结构 -- 到小区
const addrTreeSelect = async (data) => {
	const res = await request.get({ url: `/wx/addr/tree`, data });
	return res.data;
}
// 楼栋查询
const buildingList = async (data) => {
	const res = await request.get({ url: `/wx/addr/buildings`, data });
	return res.data;
}
// 住宅查询
const houseList = async (data) => {
	const res = await request.get({ url: `/wx/addr/houses`, data });
	return res.data;
}
// 添加用户信息
const addUser = async (data) => {
	const res = await request.post({ url: `/user/register`, data });
	return res.data;
}
// 添加用户信息
const updateUser = async (data) => {
	const res = await request.post({ url: `/user/edit`, data });
	return res.data;
}
// 获取用户信息
const getUser = async () => {
	const res = await request.get({ url: `/user/info` });
	return res.data;
}
export default { addrTreeSelect, buildingList, houseList, addUser, getUser, updateUser };